On fait plusieurs tests :

- 34*1000  = 34000 => pas assez de calcul pour une A100 ou une V100 :
	- A100 : fait
	- 3G20GB : fait
	- V100 : fait
	- T4 : fait
	- P6000 : fait
- 5*68000  = 340000 => commence à se rapporcher de ce que l'on attend :
	- A100 : fait
	- 3G20GB : fait
	- V100 : fait
	- T4 : fait
	- P6000 : fait
- 5*680000 = 3400000 => normalement ça devrait être bon :
	- A100 : fait
	- 3G20GB : faits
	- V100 : fait
	- T4 : fait
	- P6000 : en cours

Petite commande pour voir où en sont les jobs :
```
for file in `ls *.error`; do echo "$file => $(cat $file | grep real | wc -l)"; done
```


# Bug à cause de OptionParser

C'est très étrange. Si on ajoute une option avec OptionParser alors on obtient un **invalid pointer** aussitôt

D'après **valgrind** ça vient de la ligne **27** de **OptionParser_impl.h**

Donc ça pourrait être un problème de **template** puisque il est appelé dans **main** et que **main** est compilé avec **stdpar**.

L'étau se resert. Il s'emblerai que le problème soit causé par le tableau d'arguments que l'on passe au programme (le fameux **argv**).
En effet, ce tableau est statique, donc sur la **pile** et pas sur le **tas** donc pas visible du **GPU** et pas désallouable automatiquement par le code de **nvc++**.

Par contre, je ne comprends pas le rapport avec l'ajout d'une option, puisqu'elle est dans un tableau dynamique.




