/***************************************
	Auteur : Pierre Aubert
	Mail : pierre.aubert@lapp.in2p3.fr
	Licence : CeCILL-C
****************************************/

#ifndef __TEMPORARY_ALLOC_H__
#define __TEMPORARY_ALLOC_H__

#include <string.h>
#include <vector>
#include <iostream>
///Swap two values
/**	@param[out] a : value will be b
 * 	@param[out] b : value will be a
*/
template<typename T>
void swapValue(T & a, T & b){
	T c(a);
	a = b;
	b = c;
}

void allocate_temporary(std::vector<float> & tmpInU, std::vector<float> & tmpInV, std::vector<float> & tmpOutU, std::vector<float> & tmpOutV,
			size_t nbRow, size_t nbCol);

#endif